
#ifndef _NETINC_H_
#define _NETINC_H_

#ifdef WIN32

/*
 * WIN32
 */

#define WIN32_LEAN_AND_MEAN 
#include <winsock2.h>
#include <direct.h> // for getcwd on win32

#else

/*
 * UNIX
 */

#include <unistd.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <sys/select.h>
#include <sys/time.h>

typedef int SOCKET;

#define SOCKET_ERROR -1
#define INVALID_SOCKET -1

#define closesocket close

#endif

#include <errno.h>
#include <assert.h>
#include <stdlib.h> 
#include <stdio.h> 
#include <sys/types.h>
#include <sys/timeb.h>
#include <string.h> 
#include <ctype.h>

#define forever while(1)

#define DEFAULT_PORT 5001 
#define DEFAULT_PROTO SOCK_STREAM // TCP 
#define BACKLOG 5

#ifdef FALSE
#undef FALSE
#endif

#ifdef TRUE
#undef TRUE
#endif

typedef enum {
  FALSE = 0,
  TRUE = 1,
  BogusFiller
} Boolean;

#endif
